FlexiTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.jcajce.provider.test

## Class FlexiTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    AsymmetricBlockCipherTest, AsymmetricHybridCipherTest, KeyPairGeneratorTest, McElieceCCA2PrimitivesTest

      public abstract class FlexiTest
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Random` | `rand` Source of randomness
    `protected java.security.SecureRandom` | `sr` Secure source of randomness

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlexiTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `assertEquals(byte[] expected, byte[] actual)`
    `protected static void` | `assertEquals(int[] expected, int[] actual)`
    `protected static void` | `assertEquals(java.lang.String message, byte[] expected, byte[] actual)`
    `protected static void` | `assertEquals(java.lang.String message, int[] expected, int[] actual)`
    `protected static void` | `fail(java.lang.Exception e)` Method used to report test failure when in exception is thrown.
    `protected void` | `setUp()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### rand

          protected java.util.Random rand

      Source of randomness

    - #### sr

          protected java.security.SecureRandom sr

      Secure source of randomness

  - ### Constructor Detail

    - #### FlexiTest

          public FlexiTest()

  - ### Method Detail

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### assertEquals

          protected static final void assertEquals(byte[] expected,
                          byte[] actual)

    - #### assertEquals

          protected static final void assertEquals(java.lang.String message,
                          byte[] expected,
                          byte[] actual)

    - #### assertEquals

          protected static final void assertEquals(int[] expected,
                          int[] actual)

    - #### assertEquals

          protected static final void assertEquals(java.lang.String message,
                          int[] expected,
                          int[] actual)

    - #### fail

          protected static final void fail(java.lang.Exception e)

      Method used to report test failure when in exception is thrown.
      Parameters:
        `e` - the exception